Skip to main content
`Ctrl`+`K`

# PetscFEGetFaceCentroidTabulation

Returns the tabulation of the basis functions at the face centroid points

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetFaceCentroidTabulation(PetscFE fem, PetscTabulation *Tc)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- Tc - The basis function values at face centroid points

## Note

      T->T[0] = Bf[(f*pdim + i)*Nc + c] is the value at point f for basis function i and component c

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscTabulation`, `PetscFEGetFaceTabulation()`, `PetscFEGetCellTabulation()`, `PetscFECreateTabulation()`, `PetscTabulationDestroy()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages